Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Class SimpleTextNode

    java.lang.Object
      org.apache.struts2.views.xslt.AbstractAdapterNode
          org.apache.struts2.views.xslt.SimpleTextNode

All Implemented Interfaces:
  AdapterNode, org.w3c.dom.CharacterData, org.w3c.dom.Node, org.w3c.dom.Text

    public class SimpleTextNode

extends AbstractAdapterNode
implements org.w3c.dom.Node, org.w3c.dom.Text

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SimpleTextNode(AdapterFactory rootAdapterFactory, AdapterNode parent, java.lang.String propertyName, java.lang.Object value)`

Method Summary
`void` | `appendData(java.lang.String string)`
`void` | `deleteData(int i, int i1)`
`java.lang.String` | `getData()`
`int` | `getLength()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`protected java.lang.String` | `getStringValue()`
`java.lang.String` | `getWholeText()`
`void` | `insertData(int i, java.lang.String string)`
`boolean` | `isElementContentWhitespace()`
`void` | `replaceData(int i, int i1, java.lang.String string)`
`org.w3c.dom.Text` | `replaceWholeText(java.lang.String string)`
`void` | `setData(java.lang.String string)`
`org.w3c.dom.Text` | `splitText(int i)`
`java.lang.String` | `substringData(int beginIndex, int endIndex)`

Methods inherited from class org.apache.struts2.views.xslt.AbstractAdapterNode
`appendChild, buildChildAdapters, cloneNode, compareDocumentPosition, getAdapterFactory, getAttributes, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParent, getParentNode, getPrefix, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### SimpleTextNode

    public SimpleTextNode(AdapterFactory rootAdapterFactory,
                          AdapterNode parent,
                          java.lang.String propertyName,
                          java.lang.Object value)

Method Detail

### getStringValue

    protected java.lang.String getStringValue()

### setData

    public void setData(java.lang.String string)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### getData

    public java.lang.String getData()
                             throws org.w3c.dom.DOMException

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeName` in class `AbstractAdapterNode`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeType` in class `AbstractAdapterNode`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `AbstractAdapterNode`
  Throws:
    `org.w3c.dom.DOMException`

### appendData

    public void appendData(java.lang.String string)
                    throws org.w3c.dom.DOMException

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### deleteData

    public void deleteData(int i,
                           int i1)
                    throws org.w3c.dom.DOMException

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### insertData

    public void insertData(int i,
                           java.lang.String string)
                    throws org.w3c.dom.DOMException

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### replaceData

    public void replaceData(int i,
                            int i1,
                            java.lang.String string)
                     throws org.w3c.dom.DOMException

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### splitText

    public org.w3c.dom.Text splitText(int i)
                               throws org.w3c.dom.DOMException

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Throws:
    `org.w3c.dom.DOMException`

### substringData

    public java.lang.String substringData(int beginIndex,
                                          int endIndex)
                                   throws org.w3c.dom.DOMException

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

  Specified by:
    `isElementContentWhitespace` in interface `org.w3c.dom.Text`

### getWholeText

    public java.lang.String getWholeText()

  Specified by:
    `getWholeText` in interface `org.w3c.dom.Text`

### replaceWholeText

    public org.w3c.dom.Text replaceWholeText(java.lang.String string)
                                      throws org.w3c.dom.DOMException

  Specified by:
    `replaceWholeText` in interface `org.w3c.dom.Text`
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.